DNF5-DEBUGINFO-INSTALL(8)

NAME
dnf5-debuginfo-install - Debuginfo-Install Command

SYNOPSIS

dnf5 debuginfo-install [options] <package-spec-NPFB>...

DESCRIPTION

Install the associated debuginfo packages for a given package specification. The command temporary enables corresponding debug repository for each enabled repository using following algorithm. When enabled repository ID has suffix -rpm then it enables <ID>-debug-rpms. When enabled repository does not have suffix -rpm it enables repository using pattern <ID>-debuginfo.

When regular upgrade of debuginfo packages is expected, then it requires enabling of debug repository permanently using config-manager command.

OPTIONS

    --allowerasing
        Allow removing of installed packages to resolve any potential dependency problems.

    --skip-broken
        Resolve any dependency problems by removing packages that are causing problems from the transaction.

    --skip-unavailable
        Allow skipping packages that are not available in repositories. All available packages will be installed.

    --offline
        Store the transaction to be performed offline. See offline command <#offline-command-ref-label>, dnf5-offline(8).

    --transient
        Applicable only on bootc (bootable containers) systems. Perform transactions using a transient overlay which will be lost on the next reboot. See also the persistence <#persistence-options-label> configuration option.

    --store=PATH
        Store the current transaction in a directory at the specified PATH instead of running it.
        The stored transaction can be performed by the replay command <#replay-command-ref-label>, dnf5-replay(8).
        Note that repository ids in the stored transaction are mangled to @stored_transaction(repo_id) this is required
        because during replaying the stored repositories are recreated and they might collide with already present repositories
        (this doesn't apply to the special @System repository).

EXAMPLES

    dnf debuginfo-install foobar
        Install the debuginfo packages for the foobar package.

    dnf upgrade --enablerepo=*-debuginfo <package-name>-debuginfo
        Upgrade debuginfo package of a <package-name>.

    dnf upgrade --enablerepo=*-debuginfo "*-debuginfo"
        Upgrade all debuginfo packages.

SEE ALSO
        dnf5-specs(7), Patterns specification <#specs-misc-ref-label>

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.